### Method

# Clapper Discoverer set_discovery_mode

#### Declaration [src]

    void
    clapper_discoverer_set_discovery_mode (
      ClapperDiscoverer* discoverer,
      ClapperDiscovererDiscoveryMode mode
    )

#### Description [src]

Set the `ClapperDiscovererDiscoveryMode` of `discoverer`.

Sets property | `Clapper.Discoverer:discovery-mode`

#### Parameters

`mode`

  Type: `ClapperDiscovererDiscoveryMode`

  A `ClapperDiscovererDiscoveryMode`.